package j2d.gui.menu;

import gui.run.RunMenu;
import gui.run.RunMenuItem;
import gui.run.RunJob;
import gui.ClosableJFrame;
import j2d.color.rgbImageFilters.LogXformPanel;
import j2d.gui.Main;
import j2d.border.BorderPanel;
import bookExamples.ch26Graphics.draw2d.DrawMain;
import bookExamples.ch26Graphics.draw2d.shapes.ImageShape;

import java.awt.*;

/**
 * Copyright 2005, DocJava, Inc.
 * User: dlyon
 * Date: Nov 2, 2005
 * Time: 6:13:21 PM
 */
public class ShapeMenu {
    public static RunMenu getShapeMenu(final Main main) {
        RunMenu rm = new RunMenu("Shape");
        rm.add(new RunMenuItem("start draw program") {
            public void run() {
              startDrawMenu(main);
            }
        });
        addLogPolar(rm,main);
              rm.add(new RunMenuItem("BorderPanel") {
            public void run() {
                main.addPanel(new BorderPanel(main), getText());
            }
        });
        return rm;
    }

    private static void startDrawMenu(final Main main) {
        DrawMain dm = new DrawMain();
        ClosableJFrame cf = new ClosableJFrame("DocJavaDraw");
        cf.setJMenuBar(dm.getRunMenuBar());
        Image img = main.getBaseImage();
        int w = img.getWidth(null);
        int h = img.getHeight(null);
        dm.setLastSelectedShape(new ImageShape(0,0,w,h,img));
        Container c = cf.getContentPane();
        c.setLayout(new BorderLayout());
        c.add(dm, BorderLayout.CENTER);
        cf.setSize(300, 300);
        cf.setVisible(true);
    }

    public static void addLogPolar(RunMenu rm, final j2d.gui.Main main) {
        rm.add(new RunMenuItem("Log Polar transform") {
            public void run() {
                main.addPanel(new LogXformPanel(main), getText());
            }
        });
    }
}
